Pierdo Beryl al actualizar a Feisty

Imagen de Orejapico
0 puntos

Hola a todos. Después de varios meses en Edgy, se me ha ocurrido actualizar a Feisty. A primera vista funciona todo bien, salvo Beryl. En Edgy funcionaba correctamente, pero ahora no quiere. Sigo teniendo las dos sesiones de inicio (KDE y XGL), y al entrar en XGL parece ir todo bien, incluso aparece el diamante en la barra de tareas, pero ni el decorador de ventanas es el de Beryl ni tengo disponibles ninguno de los efectos. He probado a tocar todas las opciones del menú de Beryl, pero ni por esas. Ah, por cierto, también he intentado instalar Beryl con AIGLX, con resultados nefastos. Mi tarjeta de vídeo es una ATI 9600 y la aceleración está instalada (no la perdí al actualizar).

 ¿Qué hago?

 Gracias de antemano.

Imagen de Orejapico
+1
0
-1

...cuando intento ejecutarlo en consola me da este error: 

** (beryl-manager:18982): CRITICAL **: no se puede ejecutar beryl-xgl: Éxito

¿Alguna idea? 

+1
0
-1

 

**************************************************************

-Si en la caja dice "Funciona en Windows XP o superior", ¿por qué no consigo arrancarlo en mi Ubuntu?

 

Imagen de hugolino
+1
0
-1

Probaste borrar todo lo relacionado con beryl y reinstalar desde cero? Podés probar instalar los drivers radeon en vez de los fglrx y te ahorras instalar XGL, porque xorg 7.1 trae aiglx de fábrica (que no funcion con los fglrx)

En www.beryl-project.org hay mucha infromación y guías en la wiki de su página.

+1
0
-1
Imagen de Orejapico
+1
0
-1

Sí, ya reinstalé desde cero, pero nada, el problema persistía. Lo conseguí arreglar, no obstante, como dicen en la página de Beryl Project. El problema era que el nuevo núcleo beryl-core parece que no es compatible con XGL, sino sólo con AIGLX. La solución es utilizar la versión anterior de Beryl, la 0.2.0.

Gracias y un saludo!

+1
0
-1

 

**************************************************************

-Si en la caja dice "Funciona en Windows XP o superior", ¿por qué no consigo arrancarlo en mi Ubuntu?